< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package metrix
  Definition Classes
    mongo
-  package impl
  Definition Classes
    metrix
- MongoMetricRepository

c

uk.gov.hmrc.mongo.metrix.impl

# MongoMetricRepository 

###

#### class MongoMetricRepository extends PlayMongoCollection[PersistedMetric] with MetricRepository with WithThrottling

Linear Supertypes
WithThrottling, MetricRepository, PlayMongoCollection[PersistedMetric], MongoDatabaseCollection, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoMetricRepository
2. WithThrottling
3. MetricRepository
4. PlayMongoCollection
5. MongoDatabaseCollection
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MongoMetricRepository(collectionName: String = "metrics", mongo: MongoComponent, throttleConfig: ThrottleConfig)(implicit ec: ExecutionContext)

### Type Members

1.  implicit class ScalaObservable[T] extends AnyRef
   Definition Classes
     WithThrottling
2.  implicit class ScalaSingleObservable[T] extends AnyRef
   Definition Classes
     WithThrottling

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  val collection: MongoCollection[PersistedMetric]
   Definition Classes
     PlayMongoCollection
7.  val collectionName: String
   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection
8.  def createIndexes(): Future[Seq[String]]
   Definition Classes
     PlayMongoCollection
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  def findAll(): Future[List[PersistedMetric]]
    Definition Classes
      MongoMetricRepository → MetricRepository
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  val indexes: Seq[IndexModel]
    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def persist(calculatedMetric: PersistedMetric): Future[Unit]
    Definition Classes
      MongoMetricRepository → MetricRepository
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  val throttleConfig: ThrottleConfig
    Definition Classes
      MongoMetricRepository → WithThrottling
23.  def throttled[A](f: ⇒ SingleObservable[A])(implicit ec: ExecutionContext): SingleObservable[A]
    Definition Classes
      WithThrottling
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from WithThrottling

### Inherited from MetricRepository

### Inherited from PlayMongoCollection[PersistedMetric]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped